org.mariadb.jdbc.internal.util

## Class ConnectionState

- java.lang.Object
- - org.mariadb.jdbc.internal.util.ConnectionState

    public class ConnectionState
    extends Object

### Field Summary

Fields
`static int` `STATE_AUTOCOMMIT`
`static int` `STATE_DATABASE`
`static int` `STATE_NETWORK_TIMEOUT`
`static int` `STATE_READ_ONLY`
`static int` `STATE_TRANSACTION_ISOLATION`

### Constructor Summary

Constructors
Constructor and Description
`ConnectionState()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STATE_NETWORK_TIMEOUT

    public static final int STATE_NETWORK_TIMEOUT

See Also:
  Constant Field Values

#### STATE_DATABASE

    public static final int STATE_DATABASE

See Also:
  Constant Field Values

#### STATE_READ_ONLY

    public static final int STATE_READ_ONLY

See Also:
  Constant Field Values

#### STATE_AUTOCOMMIT

    public static final int STATE_AUTOCOMMIT

See Also:
  Constant Field Values

#### STATE_TRANSACTION_ISOLATION

    public static final int STATE_TRANSACTION_ISOLATION

See Also:
  Constant Field Values

### Constructor Detail

#### ConnectionState

    public ConnectionState()